Subject: Re: On git 1.6 (novice's opinion)

From: "Etienne Vallette d'Osia" <[email-masked]>
Date: Fri, 27 Mar 2009 14:47:59 +0100

Ulrich Windl a écrit :
> AFAIK, "committing" in git is "kind of publishing your work" (others may pull it). 
> I don't like publishing my mistakes ;-) Even if no-one pulls the commit, your 
> "undo" refers to "committing a fix for the last committed mistake", right? Again, 
> I don't really want to document/archive (i.e. commit) my mistake. Or did I miss 
> something here?
> I know: Other's opinions are quite different on these issues.

commit is local.
The good way is to commit in your local and private repository.
Then you can do anything, reset commit you have just done, etc
When all is ok, you push in a public repository.

With this workflow, no one see your local work and you can commit very 
often, undo commit, rebase a lot etc.

The only result of a such job is a large number of useless objects in 
your local repository. They will be delete automatically by git, so it's 
not a problem.

Regard,
Etienne